Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class BuildSourceBuilder

    java.lang.Object
      org.gradle.initialization.BuildSourceBuilder

    class BuildSourceBuilder
    extends java.lang.Object

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `BUILD_SRC_MODULE`
`static java.lang.String` | `BUILD_SRC_ORG`
`static java.lang.String` | `BUILD_SRC_REVISION`
`static java.lang.String` | `BUILD_SRC_TYPE`

Constructor Summary
`BuildSourceBuilder(GradleFactory gradleFactory, CacheInvalidationStrategy cacheInvalidationStrategy)`

Method Summary
`File` | `buildArtifactFile(File buildResolverDir)`
`Set` | `createBuildSourceClasspath(StartParameter startParameter)`
`static java.lang.String` | `getDefaultScript()`
`GradleFactory` | `getGradleFactory()`
`void` | `setGradleFactory(GradleFactory gradleFactory)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### BUILD_SRC_MODULE

    static final java.lang.String BUILD_SRC_MODULE

### BUILD_SRC_ORG

    static final java.lang.String BUILD_SRC_ORG

### BUILD_SRC_REVISION

    static final java.lang.String BUILD_SRC_REVISION

### BUILD_SRC_TYPE

    static final java.lang.String BUILD_SRC_TYPE

Constructor Detail

### BuildSourceBuilder

    public BuildSourceBuilder(GradleFactory gradleFactory, CacheInvalidationStrategy cacheInvalidationStrategy)

Method Detail

### buildArtifactFile

    public File buildArtifactFile(File buildResolverDir)

### createBuildSourceClasspath

    public Set createBuildSourceClasspath(StartParameter startParameter)

### getDefaultScript

    public static java.lang.String getDefaultScript()

### getGradleFactory

    public GradleFactory getGradleFactory()

### setGradleFactory

    public void setGradleFactory(GradleFactory gradleFactory)

Groovy Documentation